Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRElementGroup

All Superinterfaces:
  java.lang.Cloneable, JRChild, JRCloneable, JRVisitable

All Known Subinterfaces:
  Cell, JRBand, JRCellContents, JRFrame, ListContents

All Known Implementing Classes:
  BaseListContents, CompiledCell, DesignCell, DesignListContents, FillListContents, JRBaseBand, JRBaseCellContents, JRBaseElementGroup, JRBaseFrame, JRDesignBand, JRDesignCellContents, JRDesignElementGroup, JRDesignFrame, JRFillBand, JRFillCellContents, JRFillElementContainer, JRFillElementGroup, JRFillFrame, JRFillFrame.JRFillFrameElements

    public interface JRElementGroup

extends JRChild

Groups several report elements. Report elements placed in any report section can be arranged in multiple nested groups. The only reason you might have for grouping your elements is to be able to customize the stretch behavior of the report elements.

Version:
  $Id: JRElementGroup.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`java.util.List` | `getChildren()` Gets a list of all direct children elements or elements groups.
`JRElement` | `getElementByKey(java.lang.String key)` Gets an element from this group, based on its element key.
`JRElementGroup` | `getElementGroup()` Gets the parent element group.
`JRElement[]` | `getElements()` Gets an array containing all the elements and element groups in the hierarchy.

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getChildren

    java.util.List getChildren()

  Gets a list of all direct children elements or elements groups.

### getElementGroup

    JRElementGroup getElementGroup()

  Gets the parent element group.

  Returns:
    an instance of this class, or null if this is the root group.

### getElements

    JRElement[] getElements()

  Gets an array containing all the elements and element groups in the hierarchy.

### getElementByKey

    JRElement getElementByKey(java.lang.String key)

  Gets an element from this group, based on its element key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com